Index: src/Fragmentation/Exporters/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Exporters/unittests/Makefile.am	(revision c3df2354750ff648d82e55250da81445e260d5f0)
+++ src/Fragmentation/Exporters/unittests/Makefile.am	(revision 7d5fcdb109e3bb01fe2b96e13f2ba11ded123b04)
@@ -3,11 +3,14 @@
 
 FRAGMENTATIONEXPORTERSSOURCES = \
-	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.cpp
+	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.cpp \
+	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp
 
 FRAGMENTATIONEXPORTERSTESTSHEADERS = \
-	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.hpp
+	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.hpp \
+	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp
 
 FRAGMENTATIONEXPORTERSTESTS = \
-	HydrogenPoolUnitTest
+	HydrogenPoolUnitTest \
+	SaturatedFragmentUnitTest
 
 TESTS += $(FRAGMENTATIONEXPORTERSTESTS)
@@ -26,5 +29,12 @@
 	${FRAGMENTATIONEXPORTERSLIBS} \
 	../libMolecuilderUI.la
-
+	
+SaturatedFragmentUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp \
+	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp
+SaturatedFragmentUnitTest_LDADD = \
+	${FRAGMENTATIONEXPORTERSLIBS} \
+	../libMolecuilderUI.la
+	
 
 #AUTOMAKE_OPTIONS = parallel-tests
Index: src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp
===================================================================
--- src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp	(revision 7d5fcdb109e3bb01fe2b96e13f2ba11ded123b04)
+++ src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp	(revision 7d5fcdb109e3bb01fe2b96e13f2ba11ded123b04)
@@ -0,0 +1,85 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * SaturatedFragmentUnitTest.cpp
+ *
+ *  Created on: Aug 09, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+// include headers that implement a archive in simple text format
+#include <boost/archive/text_oarchive.hpp>
+#include <boost/archive/text_iarchive.hpp>
+
+#include "SaturatedFragmentUnitTest.hpp"
+
+#include <boost/assign.hpp>
+
+#include "CodePatterns/Assert.hpp"
+
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+using namespace boost::assign;
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( SaturatedFragmentTest );
+
+
+void SaturatedFragmentTest::setUp()
+{
+  // failing asserts should be thrown
+  ASSERT_DO(Assert::Throw);
+
+  set = new KeySet;
+  fragment = new SaturatedFragment(*set, KeySetsInUse, hydrogens);
+}
+
+
+void SaturatedFragmentTest::tearDown()
+{
+  delete fragment;
+  delete set;
+}
+
+/** UnitTest for getKeySet()
+ */
+void SaturatedFragmentTest::getKeySet_Test()
+{
+  CPPUNIT_ASSERT_EQUAL( *set, fragment->getKeySet() );
+}
Index: src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp
===================================================================
--- src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp	(revision 7d5fcdb109e3bb01fe2b96e13f2ba11ded123b04)
+++ src/Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp	(revision 7d5fcdb109e3bb01fe2b96e13f2ba11ded123b04)
@@ -0,0 +1,44 @@
+/*
+ * SaturatedFragmentUnitTest.hpp
+ *
+ *  Created on: Aug 09, 2012
+ *      Author: heber
+ */
+
+#ifndef SATURATEDFRAGMENTUNITTEST_HPP_
+#define SATURATEDFRAGMENTUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "Fragmentation/Exporters/HydrogenPool.hpp"
+#include "Fragmentation/Exporters/SaturatedFragment.hpp"
+
+class KeySet;
+
+/********************************************** Test classes **************************************/
+
+class SaturatedFragmentTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( SaturatedFragmentTest) ;
+    CPPUNIT_TEST ( getKeySet_Test );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void getKeySet_Test();
+
+private:
+      HydrogenPool hydrogens;
+      SaturatedFragment::KeySetsInUse_t KeySetsInUse;
+      KeySet *set;
+      SaturatedFragment *fragment;
+};
+
+#endif /* SATURATEDFRAGMENTUNITTEST_HPP_ */
